// 

/**
 * Renderer base error
 * 
 * @class RendererError
 * @extends {Error}
 */
class BaseError extends Error {
  constructor(e) {
    super();
    this.type = 'VueEasyRendererError';
    if (e) {
      this.name = `[VueEasyRenderer]Error: ${e.name}`;
      this.stack = e.stack;
      this.message = e.message;
    }
  }
}

/**
 * render error
 * 
 * @class RenderError
 * @extends {RendererError}
 */
class RenderError extends BaseError {
  constructor(e) {
    super();
    if (e) {
      this.name = `[VueEasyRenderer]RenderError: ${e.name}`;
    }
  }
}

module.exports = {
  BaseError,
  RenderError,
};
